<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(isset($_POST['ikdata'])){
	if (!isset($_SESSION)) session_start();
	$db=pDatabase::getInstance();
	
	$datafungsi=[
		"getTabel"=>"getTabel",
		"datacari01"=>"datacari01",
		"inputLevel"=>"inputLevel",
		"editLevel"=>"editLevel",
		"hapusData"=>"hapusData",
		"setpeserta"=>"setpeserta",
		"setpegawai"=>"setpegawai",
	];
	
	if(!$db->ceckmodule($cl)) exit;
	$data=$_POST['ikdata'];
	$ex=false;
	if(isset($datafungsi[$data[0]])) $ex=$datafungsi[$data[0]]($data);
	echo $ex;
}else{
	echo false;
}

function gethalaman($qr,$dt,$jumlah){
	$db=pDatabase::getInstance();
	
	$rs=$db->loadAssoc($qr,$dt);
	
	$total=1;
	if(isset($rs['total'])){
		$total=ceil($rs['total']/$jumlah);
	}
	if($total==0){
		return 1;
	}else{
		return $total;
	}
}

function datacari01($data=array())
{
	$mode=0;
	$kunci=array("level");
	$alias=array("Nama Level");
	$kolom=array("t1.nama");
	$jenis=array();
	
	$hasil=array("kunci"=>$kunci,"kolom"=>$kolom,"alias"=>$alias,"jenis"=>$jenis);
	if(sizeof($data)>0){
		$mode=$data[1];
	}
	if($mode==0){
		return $hasil;
	}else{
		return json_encode($hasil);
	}
}

function getTabel($data){
	$db=pDatabase::getInstance();
	$cari=$data[3];
	$arrcr=explode("&", $cari);
	
	$datapush=array();
	$wh="";
	if(sizeof($arrcr)>0){
		$arrkunci0=explode("=", $arrcr[0]);
		if(sizeof($arrcr)==1 && sizeof($arrkunci0)==1){
			$cr="%$cari%";
			$wh.="AND t1.nama LIKE ? ";
			array_push($datapush,$cr);
		}else{
			$datacari=$db->datacari(datacari01(),$arrcr);
			$datapush=$datacari['datapush'];
			$wh=$datacari['query'];
		}
	}
	
	$qt="SELECT COUNT(*) as total FROM tb_level as t1
		WHERE t1.id>0 ".$wh;
		
	$total=gethalaman($qt,$datapush,$data[2]);
	array_push($datapush,$data[1],$data[2]);
	
	$query="SELECT t1.`id`,
			t1.`nama`,
			t1.`pegawai`,
			t1.`peserta`,
			t1.`status`,
			$total as halaman FROM tb_level	as t1	
		WHERE t1.id>0 ".$wh."
		ORDER BY t1.id DESC LIMIT ?,?";
	$rs=$db->jsonData($query,$datapush);
	return $rs;
}
function inputLevel($data){
	$db=pDatabase::getInstance();
	$datainput=[
		"id"=>$data['idlevel'],
		"nama"=>$data['nama']
	];
	$rs=$db->insert("tb_level",$datainput);
	return $rs;
}
function editLevel($data){
	$db=pDatabase::getInstance();
	$datainput=[
		"id"=>$data['idlevel'],
		"nama"=>$data['nama']
	];
	$rs=$db->update("tb_level",$datainput,"id",$data['id']);
	return $rs;
}
function hapusData($data){
	$db=pDatabase::getInstance();
	if($data[1]==30) return false;
	$query="DELETE FROM tb_level WHERE id=?";
	$rs=$db->query($query,array($data['id']));
	return $rs;
}

function setpeserta($data){
	$db=pDatabase::getInstance();
	
	$dataupdate=array(
		"admin"=>0,
		"pegawai"=>0,
		"peserta"=>$data['status']
	);
	$rs=$db->update("tb_level",$dataupdate,"id",$data['id']);
	return $rs;
}

function setpegawai($data){
	$db=pDatabase::getInstance();
	
	$dataupdate=array(
		"admin"=>0,
		"pegawai"=>$data['status'],
		"peserta"=>0
	);
	$rs=$db->update("tb_level",$dataupdate,"id",$data['id']);
	return $rs;
}

?>